Join usage-based billing early access (beta)
Usage-based billing is in early access (beta). Read how it works, then apply to join. We'll reach out if you meet the program requirements.
/usage-balance-unitsReturns a paginated list of usage balance units. Use the query parameters to page through results.
By default, Paddle returns usage balance units that are active. Use the status query parameter to return usage balance units that are archived.
usage_balance_unit.read permission.Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: created_at, id, name, status, and updated_at.
activeactiveReturn entities where the status isactive. Returned entities can be used in Paddle and are returned when listing entities.archivedReturn entities where the status isarchived. Returned entities can't be used for billing and aren't returned when listing entities.
Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
ubu_01kw8ta2j8x5t7q4v9m1kd6phzubu_.^ubu_[a-z\d]{26}$API calls. Typically short and describes what customers hold a balance of.calls or credits. Different from a meter's unit_name, which is the singular name of what the meter measures.activeEntity is active and can be used.archivedEntity is archived, so can't be used.
2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Zb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "ubu_01kw8ta2j8x5t7q4v9m1kd6phz", "name": "API calls", "unit_name": "calls", "status": "active", "created_at": "2026-09-01T09:00:00.000Z", "updated_at": "2026-09-01T09:00:00.000Z" }, { "id": "ubu_01kw8tc7p4z8d5s2x6n3lf8rkb", "name": "AI tokens", "unit_name": "tokens", "status": "active", "created_at": "2026-09-01T09:02:00.000Z", "updated_at": "2026-09-01T09:02:00.000Z" } ], "meta": { "request_id": "d8f286a6-e049-4a6e-8fa8-a6f145ac3ecf", "pagination": { "per_page": 50, "next": "https://api.paddle.com/usage-balance-units?after=ubu_01kw8tc7p4z8d5s2x6n3lf8rkb", "has_more": false, "estimated_total": 2 } }}